Skip to main content
`Ctrl`+`K`

# DMHasBound

Determine whether a bound condition was specified

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMHasBound(DM dm, PetscBool *hasBound)

Logically collective

## Input Parameter

- dm - The `DM`, with a `PetscDS` that matches the problem being constrained

## Output Parameter

- hasBound - Flag indicating if a bound condition was specified

## See Also

DM Basics, `DM`, `DSAddBoundary()`, `PetscDSAddBoundary()`

## Level

intermediate

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages